Name:           vmpk
Version:        0.4.0
Release:        4%{?dist}
Summary:        Virtual MIDI Piano Keyboard
Group:          Applications/Multimedia
# The entire source code is GPLv3+ except src/qticonloader.* which are (LGPLv2
# with exceptions or GPLv3)
License:        GPLv3+ and (LGPLv2 with exceptions or GPLv3)
URL:            http://vmpk.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
# Configuration-only patch, to link with RtMidi shared object
Patch0:         vmpk-0.4.0-shared-rtmidi.patch

BuildRequires:  qt-devel
BuildRequires:  rtmidi-devel
BuildRequires:  cmake
BuildRequires:  desktop-file-utils

%description
VMPK is a MIDI event generator/receiver. It doesn't produce any sound by
itself, but can be used to drive a MIDI synthesizer (either hardware or
software, internal or external). You can use the computer's keyboard to play
MIDI notes, and also the mouse. You can use the Virtual MIDI Piano Keyboard to
display the played MIDI notes from another instrument or MIDI file player.

This package is compiled with JACK driver.

%prep
%setup -q
%patch0 -p1
rm -f src/Rt{Error,Midi}.*

%build
%cmake . -DRTMIDI_DRIVER=JACK
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

%check
desktop-file-validate $RPM_BUILD_ROOT/%{_datadir}/applications/%{name}.desktop

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%doc NEWS README ChangeLog AUTHORS TODO COPYING
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_datadir}/icons/hicolor/*/apps/*
%{_mandir}/man1/%{name}.1.*


%changelog
* Sun Oct  9 2011 Robin Lee <cheeselee@fedoraproject.org> - 0.4.0-4
- Use the RtMidi shared object
- License revised to "GPLv3+ and (LGPLv2 with exceptions or GPLv3)"

* Sat Jul 30 2011 Robin Lee <cheeselee@fedoraproject.org> - 0.4.0-3
- License specified to "GPLv3+ and MIT and (LGPLv2 with exceptions or GPLv3)"

* Wed Jun 22 2011 Robin Lee <cheeselee@fedoraproject.org> - 0.4.0-2
- Use JACK driver instead of ALSA

* Mon Jun  6 2011 Robin Lee <cheeselee@fedoraproject.org> - 0.4.0-1
- Initial specfile
